clear;
figure(1);
logisticx=10:1:60;
s1=20;
s2=20;
d=10;
miu=0.01;
sigma=0.01;
tSR_BOMP=1./(1+exp((logisticx-35)./3))-[zeros(1,s1),random('norm',miu,sigma,1,51-s1-s2),zeros(1,s2)];
plot(logisticx,tSR_BOMP,'k--','LineWidth',2);
hold on;
%tSR_BOMP=1./(1+exp((logisticx-36)./2.3))-[zeros(1,s1),random('norm',miu,sigma,1,51-s1-s2),zeros(1,s2)];
%plot(logisticx,tSR_BOMP,'b--','LineWidth',2);
%hold on;
tSR_BOMP=1./(1+exp((logisticx-43)./3.2))-[zeros(1,s1+d),random('norm',miu,sigma,1,51-s1-s2),zeros(1,s2-d)];
plot(logisticx,tSR_BOMP,'r--','LineWidth',2);
legend('l_1(BP)','log-sum');
xlabel('Sparsity K');
ylabel('Pr(recovery)');
axis([0,60,0,1]);